=head1 Name

B<rinv> - remote hardware inventory

=head1 B<Synopsis>

B<rinv> [B<-h>|B<--help>|B<-v>|B<--version>]

=head2 BMC/MPA specific:

B<rinv> I<noderange> {B<pci>|B<model>|B<serial>|B<asset>|B<vpd>|B<mprom>|B<deviceid>|B<guid>|B<firm>|B<diag>|B<bios>|B<mparom>|B<mac>|B<all>}

=head2 PPC (with HMC) specific:

B<rinv> I<noderange> {B<bus>|B<config>|B<serial>|B<model>|B<firm>|B<all>}

=head2 PPC (using Direct FSP Management) specific:

B<rinv> I<noderange> {B<firm>}

B<rinv> I<noderange> {B<deconfig> [B<-x>]}

=head2 IBM Flex System Compute Node Specific:

B<rinv> I<noderange> {B<firm>}

=head2 Blade specific:

B<rinv> I<noderange> {B<mtm>|B<serial>|B<mac>|B<bios>|B<diag>|B<mprom>|B<mparom>|B<firm>|B<all>}

=head2 VMware specific:

B<rinv> I<noderange> [B<-t>]

=head2 zVM specific:

B<rinv> I<noderange> {B<all>|B<config>}

=head1 B<Description>

B<rinv>  retrieves  hardware  configuration  information from the on-board
Service Processor for a single or range of nodes and groups.

Calling B<rinv> for VMware will display the UUID/GUID, nuumber of CPUs, amount of memory, the MAC address and a list of Hard disks.  The output for each Hard disk includes the label, size and backing file location.

=head1 B<Options>

=over 7

=item B<pci>

Retrieves PCI bus information.

=item B<bus>

List all buses for each I/O slot.

=item B<config>

Retrieves number of processors, speed, total  memory,  and  DIMM
locations.

=item B<model>

Retrieves model number.

=item B<serial>

Retrieves serial number.

=item B<firm>

Retrieves firmware versions.

=item B<deconfig>

Retrieves deconfigured resources. Deconfigured resources are hw components (cpus, memory, etc.) that have failed so the firmware has automatically turned those components off. This option is only capable of listing some of the deconfigured resources and should not be the only method used to check the hardware status.

=item B<-x>

To output the information of deconfigured resources in XML format.

=item B<asset>

Retrieves asset tag.  Usually it's the MAC address of eth0.

=item B<vpd>

Same as specifying model, serial, deviceid, and mprom.

=item B<diag>

Diagnostics information of firmware.

=item B<mprom>

?

=item B<deviceid>

?

=item B<guid>

?

=item B<all>

All of the above.

=item B<-h>|B<--help>

Print help.

=item B<-v>|B<--version>

Print version.

=item B<-t>

Set the values in the vm table to what vCenter has for the indicated nodes.

=back

=head1 B<Examples>

=over 4

=item *

To retrieve all information available from blade node5, enter:

 rinv node5 all

 node5: Machine Type/Model 865431Z
 node5: Serial Number 23C5030
 node5: Asset Tag 00:06:29:1F:01:1A
 node5: PCI Information
 node5:  Bus  VendID  DevID    RevID  Description              Slot Pass/Fail
 node5:  0    1166    0009     06     Host Bridge              0	PASS
 node5:  0    1166    0009     06     Host Bridge              0	PASS
 node5:  0    5333    8A22     04     VGA Compatible Controller0	PASS
 node5:  0    8086    1229     08     Ethernet Controller      0	PASS
 node5:  0    8086    1229     08     Ethernet Controller      0	PASS
 node5:  0    1166    0200     50     ISA Bridge               0	PASS
 node5:  0    1166    0211     00     IDE Controller           0	PASS
 node5:  0    1166    0220     04     Universal Serial Bus     0	PASS
 node5:  1    9005    008F     02     SCSI Bus Controller      0	PASS
 node5:  1    14C1    8043     03     Unknown Device Type      2	PASS
 node5: Machine Configuration Info
 node5: Number of Processors:
 node5: Processor Speed: 866 MHz
 node5: Total Memory:	  512 MB
 node5: Memory DIMM locations:  Slot(s)  3  4

=item *

To output the information of deconfigured resources in XML format for CEC cec01, enter:

 rinv cec01 deconfig -x

 cec01:
 <SYSTEM>
 <System_type>IH</System_type>
 <NODE>
 <Location_code>U78A9.001.0123456-P1</Location_code>
 <RID>800</RID>
 </NODE>
 </SYSTEM>

=item *

To retrieve 'config' information from the HMC-managed LPAR node3, enter:

 rinv node3 config

 node5: Machine Configuration Info
 node5: Number of Processors: 1
 node5: Total Memory (MB): 1024

=item *

To retrieve information about a VMware node vm1, enter:

 rinv vm1
 vm1: UUID/GUID: 42198f65-d579-fb26-8de7-3ae49e1790a7
 vm1: CPUs: 1
 vm1: Memory: 1536 MB
 vm1: Network adapter 1: 36:1b:c2:6e:04:02
 vm1: Hard disk 1 (d0): 9000 MB @ [nfs_192.168.68.21_vol_rc1storage_vmware] vm1_3/vm1.vmdk
 vm1: Hard disk 2 (d4): 64000 MB @ [nfs_192.168.68.21_vol_rc1storage_vmware] vm1_3/vm1_5.vmdk

=item *

To retrieve all information about a zVM node gpok3, enter:

 rinv gpok3 all
 gpok3: z/VM UserID: XCAT3
 gpok3: z/VM Host: POKDEV61
 gpok3:Operating System: SUSE Linux Enterprise Server 11 (s390x)
 gpok3: Architecture:	s390x
 gpok3: HCP: gpok3.endicott.ibm.com
 gpok3: Privileges: 
 gpok3:     Currently: G
 gpok3:     Directory: G
 gpok3: 
 gpok3: Total Memory:	796M
 gpok3: Processors: 
 gpok3:     CPU 01  ID  FF0C452E20978000 CP   CPUAFF ON
 gpok3:     CPU 00  ID  FF0C452E20978000 (BASE) CP   CPUAFF ON
 gpok3: 
 gpok3: Disks: 
 gpok3:     DASD 0100 3390 EMC2C6 R/W      10016 CYL ON DASD  C2C6 SUBCHANNEL = 0000
 gpok3:     DASD 0190 3390 EV61A2 R/O        107 CYL ON DASD  61A2 SUBCHANNEL = 000E
 gpok3:     DASD 0191 3390 EMC20D R/O       1000 CYL ON DASD  C20D SUBCHANNEL = 0013
 gpok3:     DASD 019D 3390 EV61A2 R/O        146 CYL ON DASD  61A2 SUBCHANNEL = 000F
 gpok3:     DASD 019E 3390 EV61A2 R/O        250 CYL ON DASD  61A2 SUBCHANNEL = 0010
 gpok3:     DASD 0300 9336 (VDSK) R/W     262144 BLK ON DASD  VDSK SUBCHANNEL = 0014
 gpok3:     DASD 0301 9336 (VDSK) R/W     524288 BLK ON DASD  VDSK SUBCHANNEL = 0015
 gpok3:     DASD 0402 3390 EV61A2 R/O        146 CYL ON DASD  61A2 SUBCHANNEL = 0011
 gpok3:     DASD 0592 3390 EV61A2 R/O         70 CYL ON DASD  61A2 SUBCHANNEL = 0012
 gpok3: 
 gpok3: NICs:	
 gpok3:     Adapter 0600.P00 Type: QDIO      Name: UNASSIGNED  Devices: 3
 gpok3:       MAC: 02-00-06-00-05-38         LAN: * None
 gpok3:     Adapter 0700.P00 Type: QDIO      Name: UNASSIGNED  Devices: 3
 gpok3:       MAC: 02-00-06-00-05-39         LAN: * None
 gpok3:     Adapter 0800.P00 Type: QDIO      Name: FOOBAR      Devices: 3
 gpok3:       MAC: 02-00-06-00-05-3A         VSWITCH: SYSTEM VSW2

=item *

=back

=head1 SEE ALSO

L<rpower(1)|rpower.1>
